> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fungies.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Unarchive User

> Restore a User account that has been previously archived.



## OpenAPI

````yaml /api-reference/api-docs.yaml patch /v0/users/{userId}/unarchive
openapi: 3.1.0
info:
  title: Fungies API v0
  version: 0.3.5
servers:
  - url: https://api.fungies.io
security: []
tags:
  - name: discounts
    description: Discounts related endpoints
  - name: keys
    description: Offer product keys related endpoints
  - name: orders
    description: Orders related endpoints
  - name: payments
    description: Payments related endpoints
  - name: offers
    description: Offers related endpoints
  - name: products
    description: Products related endpoints
  - name: subscriptions
    description: Subscriptions related endpoints
  - name: users
    description: Users related endpoints
  - name: variants
    description: Product variants related endpoints
  - name: plans
    description: Product plans related endpoints
  - name: elements
    description: Elements related endpoints
paths:
  /v0/users/{userId}/unarchive:
    patch:
      tags:
        - users
      summary: Unarchive User
      description: Restore a User account that has been previously archived.
      operationId: PatchV0UsersUserIdUnarchive
      parameters:
        - name: userId
          in: path
          required: true
          description: Unique identifier of the User to archive.
          schema:
            $ref: '#/components/schemas/PatchV0UsersUserIdUnarchiveParameterUserId'
      requestBody:
        description: PATCH /v0/users/:userId/unarchive Request body
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PatchV0UsersUserIdUnarchiveRequestBody'
      responses:
        '200':
          description: PATCH /v0/users/:userId/unarchive Positive response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PatchV0UsersUserIdUnarchivePositiveResponse
        '400':
          description: PATCH /v0/users/:userId/unarchive Negative response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PatchV0UsersUserIdUnarchiveNegativeResponse
              examples:
                example1:
                  value:
                    status: error
                    error:
                      message: Sample error message
      security:
        - APIKEY_1: []
          APIKEY_2: []
components:
  schemas:
    PatchV0UsersUserIdUnarchiveParameterUserId:
      type: string
      format: uuid
      description: Unique identifier of the User to archive.
      examples:
        - 123e4567-e89b-12d3-a456-426614174000
    PatchV0UsersUserIdUnarchiveRequestBody:
      type: object
      properties: {}
      required: []
    PatchV0UsersUserIdUnarchivePositiveResponse:
      type: object
      properties:
        status:
          type: string
          const: success
        data:
          type: object
          properties:
            success:
              type: boolean
          required:
            - success
      required:
        - status
        - data
    PatchV0UsersUserIdUnarchiveNegativeResponse:
      type: object
      properties:
        status:
          type: string
          const: error
        error:
          type: object
          properties:
            message:
              type: string
          required:
            - message
      required:
        - status
        - error
  securitySchemes:
    APIKEY_1:
      type: apiKey
      in: header
      name: x-fngs-public-key
    APIKEY_2:
      type: apiKey
      in: header
      name: x-fngs-secret-key

````